Draft Surfaces liées

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Facebinder and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente : Draft Point.svg Point
Page suivante : Formes à partir de texte Draft ShapeString.svg Arrow-right.svg

Draft Facebinder.svg Draft Surfaces liées

Emplacement du menu
Drafting → Surfaces liées
Ateliers
Draft, Arch
Raccourci par défaut
F F
Introduit dans la version
0.14
Voir aussi
Aucun

Description

La commande Draft Facebinder.svg Draft Surfaces liées crée un objet de surface à partir des faces sélectionnées. Un objet Draft Surfaces liées est paramétrique, il sera mis à jour si vous modifiez son ou ses objets sources.

Elle peut être utilisée pour créer une extrusion à partir d'une combinaison de surfaces. Cette extrusion peut par exemple représenter une finition de mur dans une conception architecturale.

Draft facebinder example.jpg

Surfaces liées créées à partir des faces de murs

Utilisation

  1. Sélectionnez une ou plusieurs faces.
  2. Il existe plusieurs façons de lancer la commande :
    • Appuyez sur le bouton Draft Facebinder.svg Créer un objet Facebinder....
    • Sélectionnez l'option Drafting → Draft Facebinder.svg Surfaces liées dans le menu.
    • Utilisez le raccourci clavier : F puis F.

Propriétés

Voir aussi : Éditeur de propriétés

Un objet Draft Surfaces liées est dérivée d'un Part Part2DObject et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :

Données

Draft

  • DonnéesArea (Area) : (en lecture seule) spécifie la surface totale des faces liées de la surface liée.
  • DonnéesExtrusion (Distance) : spécifie l'épaisseur d'extrusion de la surface liée.
  • DonnéesFaces (LinkSubList) : spécifie les faces liées de la surface liée.
  • DonnéesOffset (Distance) : spécifie une distance de décalage à appliquer entre la lime à facettes et les faces originales, avant l'extrusion.
  • DonnéesRemove Splitter (Bool) : spécifie s'il faut supprimer les lignes de séparation qui divisent les faces coplanaires de la surface liée.
  • DonnéesSew (Bool) : spécifie s'il faut effectuer une opération de couture topologique sur la surface liée.

Vue

Draft

  • VuePattern (Enumeration) : spécifie le Draft Motif avec lequel remplir les surfaces liées. Cette propriété ne fonctionne que si VueDisplay Mode est Flat Lines.
  • VuePattern Size (Float) : spécifie la taille du Draft Motif.

Script

Voir aussi : Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Pour créer une Draft Surface liée, utilisez la méthode make_facebinder (Introduit dans la version 0.19) du module Draft. Cette méthode remplace la méthode dépréciée makeFacebinder.

facebinder = make_facebinder(selectionset)
  • Crée un objet facebinder à partir du selectionset donné qui est une liste de SelectionObject tels que ceux renvoyés par FreeCADGui.Selection.getSelectionEx().
    • selectionset peut aussi être un PropertyLinkSubList.

Un PropertyLinkSubList est une liste de tuples. Chaque tuple contient comme premier élément un object et comme deuxième élément une liste (ou tuple) de chaînes. Ces chaînes indiquent les noms des sous-éléments (faces) de cet objet.

PropertyLinkSubList = [tuple1, tuple2, tuple3, ...]
PropertyLinkSubList = [(object1, list1), (object2, list2), (object3, list3), ...]
PropertyLinkSubList = [(object1, ['Face1', 'Face4', 'Face6']), ...]
PropertyLinkSubList = [(object1, ('Face1', 'Face4', 'Face6')), ...]

L'épaisseur de Facebinder peut être ajoutée en écrasant son attribut Extrusion. La valeur est entrée en millimètres.

Le placement de Facebinder peut être modifié en remplaçant son attribut Placement ou en écrasant individuellement ses attributs Placement.Base et Placement.Rotation.

Exemple :

import FreeCAD as App
import FreeCADGui as Gui
import Draft

doc = App.newDocument()

# Insert a solid box
box = doc.addObject("Part::Box", "Box")
box.Length = 2300
box.Width = 800
box.Height = 1000

# selection = Gui.Selection.getSelectionEx()
selection = [(box, ("Face1", "Face6"))]
facebinder = Draft.make_facebinder(selection)
facebinder.Extrusion = 50

doc.recompute()

facebinder.Placement.Base = App.Vector(1000, -1000, 100)
facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)

doc.recompute()


Arrow-left.svg Page précédente : Draft Point.svg Point
Page suivante : Formes à partir de texte Draft ShapeString.svg Arrow-right.svg